Skip to main content

Overview

The shareMeeting mutation shares a meeting transcript with one or more users by email. Shared users receive access to view the transcript without needing to be on the same team.

Arguments

input
ShareMeetingInput
required
The sharing configuration. See ShareMeetingInput.

Usage Example

To share a meeting, provide the meeting ID and an array of email addresses. You can optionally set an expiry period.
mutation ShareMeeting($input: ShareMeetingInput!) {
  shareMeeting(input: $input) {
    success
    message
  }
}
curl -X POST https://api.fireflies.ai/graphql \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer your_api_key" \
	-d '{
		"query": "mutation($input: ShareMeetingInput!) { shareMeeting(input: $input) { success message } }",
		"variables": {
			"input": {
				"meeting_id": "your_meeting_id",
				"emails": ["user@example.com"],
				"expiry_days": 7
			}
		}
	}'
{
  "data": {
    "shareMeeting": {
      "success": true,
      "message": null
    }
  }
}

FAQ

Only the meeting owner or a team admin (in the same team as the owner) can share a meeting.

The mutation returns success: false with a message indicating that the invitees are already invited.

You can share with up to 50 email addresses per request.

Rate Limits

The shareMeeting mutation is rate-limited to 10 requests per hour per user, in addition to the general API rate limits.

Error Codes

List of possible error codes that may be returned by the shareMeeting mutation. Full list of error codes can be found here.

The specified transcript could not be found or you do not have access to it.

The user must be either the meeting owner or a team admin to share the meeting.

Additional Resources